<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0"
    xmlns:xalan="http://xml.apache.org/xslt">

  <xsl:output method="html" media-type="IE=EmulateIE8"/>	      
    <xsl:param name="dojoJSLocation" select="'../Log_Assistive_Files/dojo.js'"/>
    <xsl:param name="logAssistiveLocation" select="'../Log_Assistive_Files'"/>
  <xsl:param name="archive" select="'http://localhost:9100/rational_ft_applets.jar'" />
  <xsl:param name="rft.testlog.lpane.testverdict.headline" select="'Test Verdict'"/>
  <xsl:param name="rft.testlog.log.title" select="'IBM Rational Functional Tester XML log'"/>
  <xsl:param name="rft.testlog.rpane.image.description" select="'IBM Logo'"/>
  <xsl:param name="rft.testlog.lpane.testverdict.tree.headline" select= "'Verdict'" />
	<xsl:param name="rft.testlog.lpane.vp.headline" select = "'Verification Points'"/>
	<xsl:param name="rft.testlog.lpane.failure.headline" select = "'Failure Verdicts'"/>
	<xsl:param name="rft.testlog.lpane.warning.headline" select = "'Warning Verdicts'" />
	<xsl:param name="rft.testlog.rpane.dp.headline" select = "'Dataset Values'"/>
  <xsl:param name="rft.testlog.rpane.dp.expando.headline" select = "'Dataset Details'"/>
	<xsl:param name="rft.testlog.rpane.totalverdict.headline" select = "'Overall Verdict'" />
	<xsl:param name="rft.testlog.rpane.guage.headline" select = "'Overall Success'" />
	<xsl:param name="rft.testlog.lpane.testverdict.filter.headline" select = "'Select the filter'" />
	<xsl:param name="rft.testlog.rpane.totalverdict.pass" select = "'Success'"/>
	<xsl:param name="rft.testlog.rpane.totalverdict.fail" select = "'Failures'"/>
	<xsl:param name="rft.testlog.rpane.totalverdict.warn" select = "'Warnings'"/>
	<xsl:param name="rft.testlog.rpane.totalverdict.info" select = "'Messages'" />
	<xsl:param name="rft.testlog.rpane.totalverdict.vp.pass" select = "'Successful Verification Points'"/>
	<xsl:param name="rft.testlog.rpane.totalverdict.vp.fail" select = "'Failed Verification Points'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.vp.viewresult" select = "'View Results'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.vp.viewresult.message" select = "'Please use a log type of Default to be able to compare Verification Points from the report'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.pass" select = "'PASS'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.fail" select = "'FAIL'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.warn" select = "'WARNING'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.info" select = "'INFORMATION'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.snapshot.click" select = "'Click to view full size'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.vp.type" select = "'Verification Point Type'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.vp.actual" select = "'Actual Verification Point'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.vp.expected" select = "'Expected Verification Point'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.vp.baseline" select = "'Baseline Verification Point'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.exception.name" select = "'Exception Name'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.exception.message" select = "'Exception Message'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.exception.stack" select = "'Exception Stack'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.snapshot" select= "'Screen Snapshot'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.user.snapshot" select = "'User Screen Snapshot'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.script.line" select = "'Line Number'" />
	<xsl:param name="rft.testlog.rpane.resulttable.script.name" select = "'Script Name'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.script.id" select = "'Script ID'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.prop.name" select = "'Property Name'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.additionalinfo" select = "'Additional Info'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.failure.desc" select = "'Failure Description'" />
	<xsl:param name="rft.testlog.rpane.resulttable.script.itercount" select = "'Iteration Count'"/>   
	<xsl:param name="rft.testlog.rpane.resulttable.script.ss_line_number" select = "'SimplifiedScript Line Number'"/> 
	<xsl:param name="rft.testlog.rpane.resulttable.script.ss_line" select = "'SimplifiedScript Line'"/> 
	<xsl:param name="rft.testlog.rpane.resulttable.script.ss_group_name" select = "'SimplifiedScript Group Names'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.script.sa_executable" select = "'StartApp Executable'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.script.sa_args" select = "'StartApp Arguments'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.script.sa_work_dir" select = "'StartApp Working Directory'"/>
    	<xsl:param name="rft.testlog.rpane.resulttable.script.sa_app_type" select = "'Application Type'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.script.property_name" select = "'Property Name'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.script.property_value" select = "'Property Value'"/>
    	<xsl:param name="rft.testlog.rpane.resulttable.script.assigned_variable_name" select = "'Assigned Variable Name'"/>
	<xsl:param name="rft.testlog.rpane.resulttable.cucumber.htmllogtext" select = "'Cucumber HTML logs:'"/>    	
		<xsl:param name="rft.testlog.rpane.resulttable.cucumber.htmlloglinktext" select = "'Click to view Cucumber HTML logs'"/>
    <xsl:variable name="singleQuote"><xsl:text>'</xsl:text></xsl:variable>
	<xsl:param name="index" select="1"/>
    <xsl:template match="TestLog">	
	    <HTML>
      <HEAD>
        <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8" />
        <title>
          <xsl:value-of select="$rft.testlog.log.title"/>
        </title>
        <link rel="stylesheet" type="text/css" href="{$logAssistiveLocation}/log.css"/>
      </HEAD>
    <BODY class="claro">

      <script type="text/javascript">

        <xsl:if test="$dojoJSLocation = '../Log_Assistive_Files/dojo.js'">

          var dojoLocation = location.search;

          if(dojoLocation)
          {
          dojoLocation = dojoLocation.substr(1);
          dojoLocation = dojoLocation.replace(/\\/g,"/");
          var urlIndex =dojoLocation.indexOf("http");
          if(0 >urlIndex )
      	   {
          	dojoLocation = "file:///" + dojoLocation;
           }
          var dojoRoot = dojoLocation.replace(/\/dojo\/dojo.js/,"");
          var dojoDir = dojoRoot + "/dojo";
          var dijitDir = dojoRoot + "/dijit";
          var dojoxDir = dojoRoot + "/dojox";


        </xsl:if>

        dojoConfig ={
        baseUrl: dojoDir,
      //  isDebug: true, // enables debug
        async: true, // enables AMD loader
        parseOnLoad: false,
      //  gfxRenderer: "svg,silverlight,vml",
        packages: [
        {
        "name": "dojo",
        "location": dojoDir
        },
        {
        "name": "dijit",
        "location": dijitDir
        },
        {
        "name": "dojox",
        "location": dojoxDir
        }
        ]
        };
        <xsl:if test="$dojoJSLocation = '../Log_Assistive_Files/dojo.js'">
        }
      </xsl:if>
      </script>
      <script type="text/javascript" src="{$dojoJSLocation}"  />
      <script type="text/javascript">
        var dojoCSS = require.toUrl("dojo/resources/dojo.css");
        var stl1 = document.createElement("link");
        stl1.type = "text/css";
        stl1.rel="stylesheet";
        stl1.href = dojoCSS.toString();

        var claroCSS= require.toUrl("dijit/themes/claro/claro.css");
        var stl2 = document.createElement("link");
        stl2.type = "text/css";
        stl2.rel="stylesheet";
        stl2.href = claroCSS.toString();

        var docCSS= require.toUrl("dijit/themes/claro/document.css");
        var stl3 = document.createElement("link");
        stl3.type = "text/css";
        stl3.rel="stylesheet";
        stl3.href = docCSS.toString();


        var expandoCSS= require.toUrl("dojox/layout/resources/ExpandoPane.css");
        var stl4 = document.createElement("link");
        stl4.type = "text/css";
        stl4.rel="stylesheet";
        stl4.href = expandoCSS.toString();

        document.getElementsByTagName("head")[0].appendChild(stl1);
        document.getElementsByTagName("head")[0].appendChild(stl2);
        document.getElementsByTagName("head")[0].appendChild(stl3);
        document.getElementsByTagName("head")[0].appendChild(stl4);

        var continentStore;
        var failedVerdictStore;
        var verificationPointStore;
        var warningVerdictStore;
        var succesPercent;
        function isRoot(idValue)
        {
        var index = idValue.lastIndexOf("_root");
        return (index > 1);
        }

      </script>
    <div id="TopPane" data-dojo-type="dijit/layout/BorderContainer" style="width: 100%; height:100%;" liveSplitters="false"

gutters="false" >
      <div data-dojo-type="dijit/layout/ContentPane" class="top" region="top" id="banner" width="100%" border="0"  splitter="false"

    style="height:'46px'; padding:'0'">
        <img height="46px" width="80px"  src="{$logAssistiveLocation}/product_logo_banner.gif" align="right" border="0" alt="{$rft.testlog.rpane.image.description}"/>
      </div>
      <div id="VerdictPane" data-dojo-type="dijit/layout/BorderContainer" data-dojo-props="liveSplitters:false, 

splitter:false,region:'center',design:'sidebar', gutters:false" >

        <div data-dojo-type="dijit/layout/BorderContainer" data-dojo-props="region:'leading', splitter:true, minSize:20"
 

        style="width: 285px;" id="LeftVerdictOverviewContainer">


          <div id="LeftVerdictOverviewPane" data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region:'top', 

splitter:true, minSize:20"
     style="height: 60%;">
            <div id="LeftVerdictOverviewDescPane" data-dojo-type="dijit/TitlePane" open="true" title="{$rft.testlog.lpane.testverdict.headline}">
              <xsl:value-of select="$rft.testlog.lpane.testverdict.filter.headline"/>
              <div id="verdictFilterToolbar1" data-dojo-type="dijit/Toolbar">
               <div data-dojo-type="dijit/form/CheckBox" id="successFilterCkb" onChange="passFilterChecked" checked="checked"></div>
                <button data-dojo-type="dijit/form/Button" type="button" id="successFilter" iconClass="passIcon"
    onClick="toggleFilterCheckbox('successFilterCkb')" showLabel="true">
                  <xsl:value-of select="$rft.testlog.rpane.totalverdict.pass"/>
                </button>
                
                <span data-dojo-type="dijit/ToolbarSeparator"></span>
               
                <div data-dojo-type="dijit/form/CheckBox" id="failureFilterCkb"

    onChange="failureFilterChecked" checked="checked"></div>
     <button data-dojo-type="dijit/form/Button" id="failureFilter" type="button" iconClass="failureIcon"

    onClick="toggleFilterCheckbox('failureFilterCkb')" showLabel="true">
                  <xsl:value-of select="$rft.testlog.rpane.totalverdict.fail"/>
                </button>
                <span data-dojo-type="dijit/ToolbarSeparator"></span>
                
                <div data-dojo-type="dijit/form/CheckBox" id="warningFilterCkb"

    onChange="warningFilterChecked" checked="checked"></div>
    <button data-dojo-type="dijit/form/Button" type="button" id="warningFilter" iconClass="warningIcon"

    onClick="toggleFilterCheckbox('warningFilterCkb')" showLabel="true">
                  <xsl:value-of select="$rft.testlog.rpane.totalverdict.warn"/>
                </button>
                <span data-dojo-type="dijit/ToolbarSeparator"></span>
               
                <div data-dojo-type="dijit/form/CheckBox" id="messageFilterCkb"

    onChange="messageFilterChecked" checked="checked"></div>
    <button data-dojo-type="dijit/form/Button" type="button" id="messageFilter"

    iconClass="informationIcon" onClick="toggleFilterCheckbox('messageFilterCkb')" showLabel="true">
                  <xsl:value-of select="$rft.testlog.rpane.totalverdict.info"/>
                </button>
              </div>
               
            </div>

            <div data-dojo-type="rftModel" data-dojo-id="myModel" data-dojo-props="store:continentStore, query:{{eventType:'rftevent'}},
  rootId:'event_Script5_AbT0_root'  , rootLabel:'{$rft.testlog.lpane.testverdict.tree.headline}', childrenAttrs:['events']"></div>

            <div data-dojo-type="rftTree" id="LeftVerdictOverviewTreePane"
        data-dojo-props="model:myModel"></div>


          </div>
          <div id="LeftVerdictSpecificsContainer" data-dojo-type="dijit/layout/AccordionContainer" duration="200"

    region="center" overflow="hidden">
            <div id="LeftVerdictVerificationPane" data-dojo-type="dijit/layout/ContentPane" title="{$rft.testlog.lpane.vp.headline}">
              <div data-dojo-type="dijit/tree/ForestStoreModel" data-dojo-id="vpModel"
        data-dojo-props="store:verificationPointStore, rootLabel:'{$rft.testlog.lpane.testverdict.tree.headline}', query:{{eventType:'rftevent'}},
     childrenAttrs:['events']"></div>

              <div data-dojo-type="rftTree" id="LeftVerdictVerificationTree"
        data-dojo-props="model:vpModel"></div>
            </div>
            <div id="LeftVerdictFailuresPane" data-dojo-type="dijit.layout.ContentPane" title="{$rft.testlog.lpane.failure.headline}">
              <div data-dojo-type="dijit/tree/ForestStoreModel" data-dojo-id="failModel"
        data-dojo-props="store:failedVerdictStore, rootLabel:'{$rft.testlog.lpane.testverdict.tree.headline}',query:{{eventType:'rftevent'}},
     childrenAttrs:['events']"></div>

              <div data-dojo-type="rftTree" id="LeftVerdictFailureTree"
          data-dojo-props="model:failModel"></div>

            </div>
            <div id="LeftVerdictWarningsPane" data-dojo-type="dijit.layout.ContentPane" title="{$rft.testlog.lpane.warning.headline}">
              <div data-dojo-type="dijit/tree/ForestStoreModel" data-dojo-id="warningModel"
        data-dojo-props="store:warningVerdictStore, rootLabel:'{$rft.testlog.lpane.testverdict.tree.headline}', query:{{eventType:'rftevent'}},
     childrenAttrs:['events']"></div>

              <div data-dojo-type="rftTree" id="LeftVerdictWarningTree"
        data-dojo-props="model:warningModel"></div>
            </div>
          </div>
        </div>
        <!-- left verdict overview container -->
        <div id="RightVerdictDetailContainer" data-dojo-type="dijit/layout/BorderContainer" data-dojo-props="region:'center',splitter:true ">
          <div id="RightVerdictDetailPane" data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region:'center', splitter:true, minSize:20">
            <div id="RightVerdictDetailOverview" data-dojo-type="dijit/TitlePane" open="true" title="{$rft.testlog.rpane.totalverdict.headline}">
              <table width="100%" rules="rows" border="0">
                <tr>
                  <td>
                    <table>
                      <tr>
                        <td >
                          <div class="pass"> <xsl:value-of select="$rft.testlog.rpane.guage.headline"/></div>
                        </td>
                        <td>:</td>
                        <td>
                          <div class="pass" id="successPercent"></div>
                        </td>
                      </tr>
                    </table>
                    <div id="CircularGauge" background="{{color:'rgba(0,0,0,0)'}}" useTooltip="true" interactionMode="none"
                              data-dojo-type="dojox/dgauges/components/green/CircularLinearGauge" data-dojo-props="value:succesPercent" style="width:225px;height:225px;"></div>

                  </td>
                  <td>
                    <br/>
                      <div id="chart4" style="width: 300px; height: 300px;"></div>
                      <td>
                        <table align="center">
                          <tr>
                            <td class="passIcon" width="10px"></td>
                            <td>
                              <div class="pass">
                                <xsl:value-of select="$rft.testlog.rpane.totalverdict.pass"/>
                              </div>
                            </td>
                            <td>:</td>
                            <td>
                              <div class="pass" id="SuccessList"></div>
                            </td>
                          </tr>
                          <tr>
                            <td class="failureIcon" width="10px"></td>
                            <td>
                              <div class="fail">
                                <xsl:value-of select="$rft.testlog.rpane.totalverdict.fail"/>
                              </div>
                            </td>
                            <td>:</td>
                            <td align="center">
                              <div class="fail" id="FailureList"></div>
                            </td>
                          </tr>
                          <tr>
                            <td class="warningIcon" width="10px"></td>
                            <td>
                              <div class="warn">
                                <xsl:value-of select="$rft.testlog.rpane.totalverdict.warn"/>
                              </div>
                            </td>
                            <td>:</td>
                            <td>
                              <div class="warn" id="WarningList"></div>
                            </td>
                          </tr>
                          <tr>
                            <td class="informationIcon" width="10px"></td>
                            <td>
                              <div class="info">
                                <xsl:value-of select="$rft.testlog.rpane.totalverdict.info"/>
                              </div>
                            </td>
                            <td>:</td>
                            <td>
                              <div class="info" id="MessageList"></div>
                            </td>
                          </tr>
                        </table>
                      </td>
                    </td>
                  </tr>
               
                <tr>
                  <td>
                    <table>
                      <tr>
                        <td class="vpPassIcon" width="10px"></td>
                        <td>
                          <div class="pass">
                            <xsl:value-of select="$rft.testlog.rpane.totalverdict.vp.pass"/>
                          </div>
                        </td>
                        <td>:</td>
                        <td>
                          <div class="pass" id="SuccessVPList"></div>
                        </td>
                      </tr>
                      <tr>
                        <td class="vpFailIcon" width="10px"></td>
                        <td>
                          <div class="fail">
                            <xsl:value-of select="$rft.testlog.rpane.totalverdict.vp.fail"/>
                          </div>
                        </td>
                        <td>:</td>
                        <td>
                          <div class="fail" id="FailureVPList"></div>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </div>
           	<!-- right verdict detail overview -->
            <TABLE id="RightVerdictDetailsTable" border="1" rules="rows" width="100%" >
              <xsl:apply-templates select="Event/Event" mode="tableCreation"></xsl:apply-templates>
           	<!--WI:17945: This is extra info and we dont need it -->  
           	<!-- <xsl:apply-templates select="Event" mode="tableCreation"></xsl:apply-templates> -->

            </TABLE>
          </div>

          <div id="RightVerdictBottomContainer" data-dojo-type="dojox/layout/ExpandoPane" region="right" splitter="true" title="{$rft.testlog.rpane.dp.expando.headline}" style="width: 30%;">
            <div data-dojo-type="dijit/layout/AccordionContainer" >
              <div id="RightVerdictBottomDatapool" data-dojo-type="dijit/layout/ContentPane"  title="{$rft.testlog.rpane.dp.headline}">

                <table id="dpTable" border="1" >
                  <tr id="dpVariable" align="center"></tr>
                  <tr id="dpValue" align="center"></tr>
                </table>
              </div>
            </div>
          </div>


        </div>
        <!-- rightverdict detail -->
      </div>
      <!-- verdict pane -->
    </div><!-- top pane -->
    <script type="text/javascript">
      require(["dojo/dom", "dojo/on", "dojo/parser", "dojo/ready", "dojo/_base/declare",  "dijit/Tree",

      "dojo/data/ItemFileReadStore", "dojo/data/ItemFileWriteStore", "dijit/tree/ForestStoreModel" ,
      "dojox/charting/Chart",
      "dojox/charting/themes/ThreeD",
      "dojox/charting/plot2d/Pie",
      "dojox/charting/action2d/Tooltip",
      "dojox/charting/action2d/MoveSlice",
      "dojox/charting/action2d/Highlight",
      "dojox/charting/widget/SelectableLegend",
      "dojox/fx/scroll",
      "dojox/fx",
      "dojox/charting/plot2d/Markers",
      "dojox/charting/axis2d/Default"],
      function(dom, on, parser, ready, declare, Tree, ItemFileReadStore, ItemFileWriteStore, ForestStoreModel,  Chart,

      theme, Pie, Tooltip, MoveSlice, Highlight, SLegend, dfx){

      var dpStore = {
      identifier: 'dpId',
      items: []
      };
      var dpLogStore = new dojo.data.ItemFileWriteStore({data : dpStore});
      <xsl:apply-templates select="Event/Event" mode="dpStore"></xsl:apply-templates>
      <xsl:text disable-output-escaping="yes">

	<![CDATA[
      function deleteStaleDatapool()
{
	var dpVariable = dojo.byId("dpVariable");
	var dpValue = dojo.byId("dpValue");	
	var num = dpVariable.cells.length;
	for(var i=0;i<num;i++)
	{
		dpVariable.deleteCell(0);
		dpValue.deleteCell(0);
	}
}

function updateDatapool(store,item)
{
	var parentIdValue = store.getValue(item,"ParentId");
	var position = store.getValue(item,"Position");
	var index = parentIdValue.lastIndexOf("_root");
	if(index > 1)
		parentIdValue = parentIdValue.substring(0,index);
	var dpValue = parentIdValue.replace(/event_/,"dp_");
	
	dpLogStore.fetchItemByIdentity({identity: dpValue, onItem: function(item){

				deleteStaleDatapool();
				var dpData = dpLogStore.getValues(item,"dpUpdates")
				
				var dpVariableList = new Array();
				
				for(var i=0;i<dpData.length;i++)
				{
				var j = 0;
				if(dpData[i].dpVariable && parseInt(dpData[i].CPosition) <= parseInt(position))
				{
					for(j=0;j<dpVariableList.length;j++)
					{
						if(dpVariableList[j].dpVariable == dpData[i].dpVariable)
						{							
							break;									
						}
					}
					
					dpVariableList[j] = dpData[i];				
				}
				}	

				var variableRow = dojo.byId("dpVariable");
				var valueRow = dojo.byId("dpValue");
				for(var i=0;i<dpVariableList.length;i++)
				{				
					var cell=  variableRow.insertCell(i);
					cell.innerHTML = dpVariableList[i].dpVariable;

					var cell1=  valueRow.insertCell(i);
					cell1.innerHTML = dpVariableList[i].dpValue;
				}


			}});	
}
	
			declare("rftModel", [ForestStoreModel], {
					 getChildren: function(parentItem, onComplete){ 
						 if(parentItem == null)
								 {
									 this.store.fetch({query: this.query, onComplete: 

onComplete});
								 }
								 else
								 {

									
										 var childItems = [];
										var temp1 = [];	
										if((parentItem.store != null) && (parentItem.label == parentItem.store.rootLabel))
										{
											childItems =this.store._arrayOfTopLevelItems;
										}
										else{
										
										var item = this.store._getItemByIdentity

(parentItem.eventId);
										var temp = item.events ;
										var j= 0;
										var tempStore123 =this.store;
										 dojo.forEach(temp,function(temp2){
												 if(isItemNonFiltered

(tempStore123,temp2))
												 {
												 temp1[j]=temp2;
												 j= j +1;
												 }
												});
									 childItems= childItems.concat(temp1);
										}
								 	onComplete(childItems);

								 }

					}
				});

		declare("rftTree", [Tree], {
        // put methods, attributes, etc. here
	onClick: function( item,  node)
					{
						if(item != null && !item.root)
						{
							
							var idValue = this.model.store.getValue(item,"eventId");
							if(isRoot(idValue))
								idValue = idValue.substring(0, idValue.lastIndexOf("_root") );
							updateDatapool(this.model.store,item);
							var node = dom.byId(idValue);
							var nodeDim = dojo.coords(node);
							//var tg = { x: nodeDim.l, y: nodeDim.t };		
							dojox.fx.smoothScroll({node:node,win:dom.byId("RightVerdictDetailPane"),duration:400}).play();
							node.style.backgroundColor = "#FFFFFF";
							dojox.fx.highlight({node:node, color:'#0066FF', duration:800}).play();
							node.style.backgroundColor = "transparent";
						}	
						
					},
						 
						 getIconClass: function(item){
            
            						if(item != null)
						{
							if(item.root)
							return "verdictTreeIcon";

							var eventType = this.model.store.getValue(item, "Type");
							
							var result = this.model.store.getValue(item,"Result");
					         
						 if(eventType == "Script Start")
							{
								return "scriptStartIcon";
							}
							else if(eventType == "Verification Point")
							{
							if( result == "PASS")
								return "vpPassIcon";			
							else if(result == "FAIL")
								return "vpFailIcon";
							else if(result == "WARNING")
								return "warningIcon";
							else
								return "informationIcon";
							}
							else
							{
								if( result == "PASS")
									return "passIcon";			
								else if(result == "FAIL")
									return "failureIcon";
								else if(result == "WARNING")
									return "warningIcon";
								else
									return "informationIcon";
							}		

						}
						
          					}

    					
    });
		
	ready(function(){
	
	
			 continentStore = new ItemFileReadStore({ data:logStore});
				var verdictSuccess = 0;
	var verdictFailures = 0;
	var verdictWarnings = 0;
	var verdictMessages = 0;
	
	var verdictVPSuccess = 0;
	var verdictVPFailures = 0;
					var tempStore = {identifier: 'eventId', label: 'Headline', items: []};
	var temp1Store = {identifier: 'eventId', label: 'Headline', items: []};
	var temp2Store = {identifier: 'eventId', label: 'Headline', items: []};
	
	 failedVerdictStore = new ItemFileWriteStore({data : tempStore});
	 warningVerdictStore = new ItemFileWriteStore({data : temp1Store});
	 verificationPointStore = new ItemFileWriteStore({data : temp2Store});
function getRFTEventType(item)
	{
		return continentStore.getValue(item,"eventType");
	}
	function getEventID(item)
	{
		return continentStore.getValue(item,"eventId");
	}

	function getEventTimeStamp(item)
	{
		return continentStore.getValue(item,"TimeStamp");
	}

	function getEventHeadline(item)
	{
		return continentStore.getValue(item,"Headline");
	}
	function getEventType(item)
	{
		return continentStore.getValue(item,"Type");
	}
	function getEventResult(item)
	{
		return continentStore.getValue(item,"Result");
	}
	function getEventParentId(item)
	{
		return continentStore.getValue(item,"ParentId");
	}
	function getEventPosition(item)
	{
			return continentStore.getValue(item,"Position");
	}

	function populateFailures(item)
	{
		failedVerdictStore.newItem({eventType: getRFTEventType(item), eventId: getEventID(item), TimeStamp: 

getEventTimeStamp(item), Headline: getEventHeadline(item), Type: getEventType(item), Result: getEventResult(item), Position: 

getEventPosition(item), ParentId: getEventParentId(item) });
		verdictFailures = verdictFailures + 1;
	}

	function populateWarnings(item)
	{
		warningVerdictStore.newItem({eventType: getRFTEventType(item), eventId: getEventID(item), TimeStamp: 

getEventTimeStamp(item), Headline: getEventHeadline(item), Type: getEventType(item), Result: getEventResult(item), Position: 

getEventPosition(item), ParentId: getEventParentId(item) });
		verdictWarnings = verdictWarnings  + 1;
	}

	function populateSuccess(item)
	{
		verdictSuccess = verdictSuccess + 1;	
	}
	
	function populateInformation(item)
	{
		verdictMessages = verdictMessages + 1;
	}
	
	function populateVerificationPoints(item)
	{
		var verdict =  getEventResult(item);
		verificationPointStore.newItem({eventType: getRFTEventType(item), eventId: getEventID(item), TimeStamp: 

getEventTimeStamp(item), Headline: getEventHeadline(item), Type: getEventType(item), Result: getEventResult(item), Position: 

getEventPosition(item), ParentId: getEventParentId(item) });
		if(verdict == "PASS")
		{
			verdictVPSuccess = verdictVPSuccess + 1;
		}else if(verdict == "FAIL")
		{
			verdictVPFailures = verdictVPFailures + 1;
		}
	}

	function routeItems(item)
	{
		if(item != null && !isRoot( getEventID(item) ) )
		{
			var verdict = getEventResult(item);
				
			if(verdict == "FAIL")
			{
				populateFailures(item);
			}
			else if(verdict == "WARNING")
			{
				populateWarnings(item);
			}
			else if(verdict == "PASS")
			{
				populateSuccess(item);
			}
			else if(verdict == "INFORMATION")
			{
				populateInformation(item);
			}
			var verificationPoint = getEventType(item);
			if(verificationPoint == "Verification Point")
			{
				populateVerificationPoints(item);
			}
		}	
	}
function failed(error)
{
	alert(error);
}



				continentStore.fetch({query :{eventType: "*"}, queryOptions :{ignoreCase: "true", deep: "true"}, 

onItem: routeItems, onError: failed });
	
	
					var sucCount = dom.byId("SuccessList");
			sucCount.innerHTML =  verdictSuccess;
			sucCount = dom.byId("FailureList");
			sucCount.innerHTML =  verdictFailures;
			sucCount = dom.byId("WarningList");
			sucCount.innerHTML =  verdictWarnings;
			sucCount = dom.byId("MessageList");
			sucCount.innerHTML =  verdictMessages;
			sucCount = dom.byId("SuccessVPList");
			sucCount.innerHTML =  verdictVPSuccess;
			sucCount = dom.byId("FailureVPList");	
			sucCount.innerHTML = verdictVPFailures; 
     		 if(verdictSuccess==0 && verdictFailures==0)
     		 succesPercent = 100;
      		else
      		succesPercent = (verdictSuccess/(verdictSuccess + verdictFailures))*100;
     		succesPercent = parseFloat(succesPercent).toFixed(2);
			sucCount = dom.byId("successPercent");
			sucCount.innerHTML =  succesPercent + "%"

			var totalVerdict = new Array();

	totalVerdict.push(verdictFailures);
	totalVerdict.push(verdictSuccess);
	totalVerdict.push(verdictMessages);
	totalVerdict.push(verdictWarnings);]]>
</xsl:text>
      var successTooltip =" <xsl:value-of select="$rft.testlog.rpane.totalverdict.pass" />:"+ verdictSuccess;
      var failureTooltip =" <xsl:value-of select="$rft.testlog.rpane.totalverdict.fail" />:"+ verdictFailures;
      var warningTooltip =" <xsl:value-of select="$rft.testlog.rpane.totalverdict.warn" />:"+ verdictWarnings;
      var infoTooltip =" <xsl:value-of select="$rft.testlog.rpane.totalverdict.info" />:"+ verdictMessages;

      totalVerdict=[{y:verdictFailures, tooltip:failureTooltip},{y:verdictSuccess, tooltip:successTooltip},{y:verdictMessages, tooltip:infoTooltip},

      {y:verdictWarnings, tooltip:warningTooltip}];
      parser.parse();
      var chart = new Chart("chart4");

      // Set the theme
      chart.setTheme(theme);

      // Add the only/default plot
      chart.addPlot("default", {
      type: Pie,
      markers: true,
      radius:100,
      htmlLabels:true,
      labels:true
      });

      chart.addAxis("x");
      chart.addAxis("y", { vertical: true, fixLower: "major", fixUpper: "major" });

      // Add the series of data
      chart.addSeries("Series A", totalVerdict);

      // Create the tooltip
      var tip = new Tooltip(chart,"default");

      // Create the slice mover
      var mag = new MoveSlice(chart,"default");
      var magnify = new Highlight(chart, "default");
      // Render the chart!
      chart.render();
      //var pieLegend = new SLegend({chart: chart,horizontal:false, outline: true},"pieLegend");





      });
      });



      var logStore = {
      identifier: 'eventId',
      label: 'Headline',
      items: [
      <xsl:for-each select="Event">
        <xsl:apply-templates select="." mode="treeElements1"></xsl:apply-templates>
      </xsl:for-each>


      ]};
      
 

	
	<xsl:text disable-output-escaping="yes">
	<![CDATA[
function refreshTree()
{
	var verdictTree = dijit.byId("LeftVerdictOverviewTreePane");
	if(verdictTree != null)
	{
		var newmodel = verdictTree.model;
		var newStore = verdictTree.model.store;
		var childAttr = verdictTree.model.childrenAttrs;
		var label = verdictTree.model.rootLabel;
		var query = verdictTree.model.query;
		var id = "LeftVerdictOverviewTreePane";
		var labelAttr = verdictTree.labelAttr; 
		
		verdictTree.destroy();

      						  
						
		var newTree = new rftTree({ model : newmodel, id:id });

		dijit.byId("LeftVerdictOverviewPane").addChild(newTree,1);
		
	}
}
	

function isItemNonFiltered(store,item)
{
	var verdict = store.getValue(item,"Result");
	if(verdict == "PASS")
	{
		return passFilterEnabled;
	}else if(verdict == "FAIL")
	{
		return failFilterEnabled;
	}else if(verdict == "WARNING")
	{
		return warningFilterEnabled;
	}else if(verdict == "INFORMATION")
	{
		return messageFilterEnabled;
	}
	else
	{
		return false;
	}	
}
	var passFilterEnabled = true;
	var failFilterEnabled = true;
	var warningFilterEnabled = true;
	var messageFilterEnabled = true;

	function passFilterChecked(checked)
	{
	passFilterEnabled = checked;
		refreshTree();
	}

	function failureFilterChecked(checked)
	{
	failFilterEnabled = checked;
	refreshTree();
	}
	function warningFilterChecked(checked)
	{
	warningFilterEnabled = checked;
		refreshTree();
	}
	function messageFilterChecked(checked)
	{
	messageFilterEnabled = checked;
		refreshTree();
	}
	
	function toggleFilterCheckbox(id)
	{
	var filterCkb = dijit.byId(id);
	if(filterCkb != null)
		filterCkb.set('checked',!filterCkb.checked);
	}

function comparator(base,exp,act)
{
	try{
		var url = decodeURI(document.URL);
		var index = url.indexOf("?");
		if(index > 1)
			url = url.substr(0,index);
		document.ComparatorApplet.startComparatorEx(base,exp,act,url);
	}
	catch(e){
		alert("CRFCN0309E: Error creating verification point display:\nAn enabled JRE (1.3.1_02 or better) must be associated with the browser to view VP results");
	}
}



]]>
</xsl:text>


</script>

	<script type="text/javascript">
	<xsl:if test="$dojoJSLocation = '../Log_Assistive_Files/dojo.js'">
		if(!location.search)
		{
			var topTag = document.getElementById("TopPane");
			topTag.innerHTML = "";
			
			
			var inputElement = document.createElement("input");
			inputElement.type = "file";
			inputElement.id = "dojolocation";
			topTag.appendChild(inputElement);
			var openLog  = document.createElement("input");
			openLog.type = "button";
			openLog.id = "openlog";
			openLog.value = "Open Log";
			openLog.onclick = function(){
						var dojoLoc = document.getElementById("dojolocation").value;
						var newLoc = location.href + "?" + dojoLoc;
						location.assign(newLoc);
			};
			topTag.appendChild(openLog);


		}
	
		</xsl:if>
		
		function readCukeSummaryAndOpenLink(summaryText, textToSearch) {
			var str = textToSearch + " ";
			summaryText = summaryText.substring(summaryText.lastIndexOf(str) + str.length);
			window.open("file:///" + summaryText);
		}
			
</script>

      <applet archive="{$archive}" code="com/ibm/rational/test/ft/applets/HtmlLogComparatorApplet.class" NAME="ComparatorApplet" WIDTH="0" HEIGHT="0" />
	</BODY>
	
	</HTML>
	</xsl:template>
	
	<xsl:template match="Event/@Headline" mode="substitute">
		<!-- Escape the apostrophes second -->
		<xsl:call-template name="subs">
			<xsl:with-param name="pTarget" select='"&apos;"'/>
			<xsl:with-param name="pReplacement" select='"\&apos;"'/>
			<xsl:with-param name="pText">
				<!-- Escape the backslashes first, and then pass that result directly into the next template -->
				<xsl:call-template name="subs">
					<xsl:with-param name="pTarget" select='"&#13;"'/>
					<xsl:with-param name="pReplacement" select='""'/>
					<xsl:with-param name="pText">
						<xsl:call-template name="subs">
							<xsl:with-param name="pTarget" select="'\'"/>
							<xsl:with-param name="pReplacement" select="'\\'"/>
							<xsl:with-param name="pText" select="." />
						</xsl:call-template>				
					</xsl:with-param>
				</xsl:call-template>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="subs">
		<xsl:param name="pText"/>
		<xsl:param name="pTarget" select='"&apos;"'/>
		<xsl:param name="pReplacement" select="'\&quot;'"/>

		<xsl:if test="$pText">
			<xsl:value-of select='substring-before(concat($pText,$pTarget),$pTarget)'/>
			<xsl:if test='contains($pText, $pTarget)'>
				<xsl:copy-of select='$pReplacement'/>
			</xsl:if>

			<xsl:call-template name="subs">
				<xsl:with-param name="pText" select='substring-after($pText, $pTarget)'/>
				<xsl:with-param name="pTarget" select="$pTarget"/>
				<xsl:with-param name="pReplacement" select="$pReplacement"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

	<xsl:template match="Event" mode="treeElements1">		
	<xsl:if test="Event">
		<xsl:apply-templates select="Event" mode="treeElements">
		<xsl:with-param name="index" select="position()"></xsl:with-param>
		</xsl:apply-templates>
	</xsl:if>
	</xsl:template>
	
	<xsl:template match="Event" mode="treeElements">
	<xsl:param name = "index" select="-1"/>		

	<xsl:variable name="eventType">
	<xsl:value-of select="@Type"/>
	</xsl:variable>
	
	<xsl:variable name="eventId" >
	<xsl:text>event_</xsl:text>
	<xsl:value-of select="Property/@script_name"/>
	<xsl:text>_</xsl:text>
	<xsl:value-of select="generate-id()"/>
	</xsl:variable>
	
	<xsl:variable name="eventParentId" >
	<xsl:text>event_</xsl:text>
	<xsl:value-of select="../Event/Property/@script_name"/>
	<xsl:text>_</xsl:text>
	<xsl:choose>
	<xsl:when test="./../@Type ='Simplified Script Group'">
		<xsl:apply-templates select="parent::Event" mode="parentID"/>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="generate-id(../Event)"/>
	</xsl:otherwise>
	</xsl:choose>
	</xsl:variable>
	
	<xsl:if test="$eventType = 'Script Start'">		
	<xsl:if test="(number(./../@dpIter) > 0) or ($index &gt; 1)">,</xsl:if>{ eventType: 'rftevent', eventId: '<xsl:value-of select="$eventId"/>_root', TimeStamp: '<xsl:value-of select="@Timestamp"/>' ,Headline: '<xsl:apply-templates select="@Headline" mode="substitute"/>', Type: '<xsl:value-of select="@Type"/>', Result: '<xsl:value-of select="@Result"/>', Position: '<xsl:value-of select="position()"/>', ParentId: '<xsl:value-of select="$eventParentId"/>_root', events: [
	</xsl:if>
	
	<xsl:choose>
	<xsl:when test="$eventType='Simplified Script Group'"><xsl:if test="position() &gt; 1">,</xsl:if>{ eventType: 'rftevent', eventId: '<xsl:value-of select="$eventId"/>', TimeStamp: '<xsl:value-of select="@Timestamp"/>' ,Headline: '<xsl:apply-templates select="@Headline" mode="substitute"/>', Type: '<xsl:value-of select="@Type"/>', Result: '<xsl:apply-templates select="." mode="getResult"/>', Position: '<xsl:value-of select="position()"/>', ParentId: '<xsl:value-of select="$eventParentId"/>_root'<xsl:if test="Event">,events: [</xsl:if>	<xsl:apply-templates select="Event" mode="treeElements"><xsl:with-param name="index" select="position()"></xsl:with-param></xsl:apply-templates>
		<xsl:if test="Event">]</xsl:if>}
	</xsl:when>
	<xsl:otherwise><xsl:if test="position() &gt; 1">,</xsl:if>{ eventType: 'rftevent', eventId: '<xsl:value-of select="$eventId"/>', TimeStamp: '<xsl:value-of select="@Timestamp"/>' ,Headline: '<xsl:apply-templates select="@Headline" mode="substitute"/>', Type: '<xsl:value-of select="@Type"/>', Result: '<xsl:value-of select="@Result"/>', Position: '<xsl:value-of select="position()"/>', ParentId: '<xsl:value-of select="$eventParentId"/>_root'<xsl:if test="Event/Event"> ,events: [<xsl:apply-templates select="Event" mode="treeElements1"/>]</xsl:if>}	
	</xsl:otherwise>
	</xsl:choose>

	<xsl:if test="$eventType = 'Script End'">]}</xsl:if>
	</xsl:template>	
	
	<xsl:template match="Event" mode="getResult">
			<xsl:variable name="countFail">
			<xsl:for-each select="descendant::Event[@Result = 'FAIL']">
				FAIL
			</xsl:for-each>
			</xsl:variable>
			
			<!--<TD class="status"><xsl:value-of select="$rft.testlog.rpane.totalverdict.fail"/></TD>-->
			<xsl:variable name="countWarn">
			<xsl:for-each select="descendant::Event[@Result = 'WARNING']">
				WARN
			</xsl:for-each>
			</xsl:variable>
			
			<xsl:variable name="countPass">
			<xsl:for-each select="descendant::Event[@Result = 'PASS']">
				PASS
			</xsl:for-each>  
			</xsl:variable>
			
								
			<xsl:choose>
				<xsl:when test="contains($countFail,'FAIL')">
					<xsl:value-of select="$rft.testlog.rpane.resulttable.fail"/>
				</xsl:when>
				<xsl:when test="contains($countWarn,'WARN')">
					<xsl:value-of select="$rft.testlog.rpane.resulttable.warn"/>
				</xsl:when>							
				<xsl:when test="contains($countPass,'PASS')">
					<xsl:value-of select="$rft.testlog.rpane.resulttable.pass"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$rft.testlog.rpane.resulttable.pass"/>
				</xsl:otherwise>			
			</xsl:choose>
			
	</xsl:template>
	
	
	<xsl:template match="Event" mode="parentID">
		<xsl:choose>
		<xsl:when test="number(@dpIter) >= 0">
			<xsl:if test="./Event/@Type = 'Script Start'"><xsl:value-of select="generate-id(./Event)"/></xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates select="parent::Event" mode="parentID"/>
		</xsl:otherwise>		
		</xsl:choose>
	</xsl:template>	
		
	<xsl:template match="Event" mode="tableCreation">	
	
	<xsl:variable name="eventType">
	<xsl:value-of select="@Type"/>
	</xsl:variable>
	
	
	<xsl:variable name="eventId" >
	<xsl:text>event_</xsl:text>
	<xsl:value-of select="Property/@script_name"/>
	<xsl:text>_</xsl:text>
	<xsl:value-of select="generate-id()"/>
	</xsl:variable>	
	
	<xsl:choose>
		<xsl:when test="$eventType = 'Simplified Script Group'">
		<TR id = "{$eventId}" >
			
			<xsl:variable name="countFail">
			<xsl:for-each select="descendant::Event[@Result = 'FAIL']">
				FAIL
			</xsl:for-each>
			</xsl:variable>
			
			<!--<TD class="status"><xsl:value-of select="$rft.testlog.rpane.totalverdict.fail"/></TD>-->
			<xsl:variable name="countWarn">
			<xsl:for-each select="descendant::Event[@Result = 'WARNING']">
				WARN
			</xsl:for-each>
			</xsl:variable>
			
			<xsl:variable name="countPass">
			<xsl:for-each select="descendant::Event[@Result = 'PASS']">
				PASS
			</xsl:for-each>  
			</xsl:variable>
			
								
			<xsl:choose>
				<xsl:when test="contains($countFail,'FAIL')">
					<TD class="failStatus" ><xsl:value-of select="$rft.testlog.rpane.resulttable.fail"/></TD>
				</xsl:when>
				<xsl:when test="contains($countWarn,'WARN')">
					<TD class="warnStatus" ><xsl:value-of select="$rft.testlog.rpane.resulttable.warn"/></TD>
				</xsl:when>							
				<xsl:when test="contains($countPass,'PASS')">
					<TD class="passStatus"><xsl:value-of select="$rft.testlog.rpane.resulttable.pass"/></TD>
				</xsl:when>
				<xsl:otherwise>
					<TD class="passStatus" ><xsl:value-of select="$rft.testlog.rpane.resulttable.pass"/></TD>
				</xsl:otherwise>			
			</xsl:choose>
			
			
			
			<xsl:for-each select="Event[last()]">
					
						<xsl:variable name="nestedEventType">
							<xsl:value-of select="@Type"/>
						</xsl:variable>
						<xsl:if test="$nestedEventType = 'Timer End'">
							<xsl:variable name="TimeElapsed" >		
									<xsl:value-of select="Property/@elapsed_time"/>
							</xsl:variable>
							<TD class="timeElapsed"><xsl:value-of select="$TimeElapsed"/></TD>
						</xsl:if>
			</xsl:for-each>
			<xsl:if test="Event[last()]/@Type !='Timer End'">
						<TD class="timeElapsed"></TD>
			</xsl:if>
			
		
			<TD class="ssheadline"><xsl:value-of select="@Headline"/></TD>				
		</TR>
			<TR>
		<TD COLSPAN='3'>
		<UL>
			<xsl:for-each select="Property">
				<LI><xsl:apply-templates select="@*"></xsl:apply-templates></LI>
			</xsl:for-each>						
		 </UL>
		</TD>
	</TR>
		
		<xsl:if test="*">	
			<xsl:apply-templates select="*" mode="tableCreation"></xsl:apply-templates>	
		</xsl:if>	
						
		</xsl:when>
		
		<xsl:otherwise>
		<TR id = "{$eventId}" >

		<xsl:variable name="result" >
			<xsl:choose>
			<xsl:when test="@Result = 'PASS'">pass</xsl:when>
			<xsl:when test="@Result = 'FAIL'">fail</xsl:when>
			<xsl:when test="@Result = 'WARNING'">warn</xsl:when>
			<xsl:when test="@Result = 'INFORMATION'">info</xsl:when>
			<xsl:otherwise>unkn</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>	
		
		<xsl:variable name="resultValue" >
			<xsl:choose>
			<xsl:when test="@Result = 'PASS'"><xsl:value-of select="$rft.testlog.rpane.resulttable.pass"/></xsl:when>
			<xsl:when test="@Result = 'FAIL'"><xsl:value-of select="$rft.testlog.rpane.resulttable.fail"/></xsl:when>
			<xsl:when test="@Result = 'WARNING'"><xsl:value-of select="$rft.testlog.rpane.resulttable.warn"/></xsl:when>
			<xsl:when test="@Result = 'INFORMATION'"><xsl:value-of select="$rft.testlog.rpane.resulttable.info"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="$rft.testlog.rpane.resulttable.info"/></xsl:otherwise>
			</xsl:choose>
		</xsl:variable>	
		
		<TD class="{$result}"><xsl:value-of select="$resultValue"/></TD>
		<TD class="time"><xsl:value-of select="@Timestamp"/></TD>
		<TD class="note">
			<xsl:call-template name="subs">
				<xsl:with-param name="pTarget" select="'&lt;br/&gt;'" />
				<xsl:with-param name="pReplacement"><br/></xsl:with-param>
				<xsl:with-param name="pText" select="@Headline" />
			</xsl:call-template>
			<xsl:variable name="myHeadline" >
				<xsl:value-of select="@Headline"/>
			</xsl:variable>
			<xsl:if test="contains($myHeadline, $rft.testlog.rpane.resulttable.cucumber.htmllogtext)">
				<BR/><A href="#" onclick="readCukeSummaryAndOpenLink('{$myHeadline}', '{$rft.testlog.rpane.resulttable.cucumber.htmllogtext}')"><xsl:value-of select="$rft.testlog.rpane.resulttable.cucumber.htmlloglinktext"/></A>
			</xsl:if>
		</TD>
	</TR>
	
	<TR>
		<TD COLSPAN='3'>
			<UL>
			<xsl:for-each select="Property">
				<LI><xsl:apply-templates select="@*"></xsl:apply-templates></LI>
			</xsl:for-each>		
				
			<xsl:if test="Property/@expected">
				<xsl:variable name="exp" >
					<xsl:text>'</xsl:text><xsl:value-of select="Property/@expected"/><xsl:text>'</xsl:text>
				</xsl:variable>

				<xsl:variable name="act">
				<xsl:choose>
				<xsl:when test="Property/@actual">
					<xsl:text>'</xsl:text><xsl:value-of select="Property/@actual"/><xsl:text>'</xsl:text>
				</xsl:when>
				<xsl:otherwise>null</xsl:otherwise>
				</xsl:choose>
				</xsl:variable>
				
				<xsl:variable name="base">
				<xsl:choose>
				<xsl:when test="Property/@baseline">
					<xsl:text>'</xsl:text><xsl:value-of select="Property/@baseline"/><xsl:text>'</xsl:text>
				</xsl:when>
				<xsl:otherwise>null</xsl:otherwise>
				</xsl:choose>
				</xsl:variable>

				<P style="color:#FFBF00"><xsl:value-of select="$rft.testlog.rpane.resulttable.vp.viewresult.message"/></P>
			</xsl:if>
			
			<xsl:if test="Property/@screen_snapshot">
				<xsl:variable name="snapShot" select="Property/@screen_snapshot"/>
				<LI><em>screen_snapshot = </em><A HREF="{$snapShot}"> <img src="{$snapShot}" height="120" width="160" align="middle"/><xsl:value-of select="$rft.testlog.rpane.resulttable.snapshot.click"/></A></LI>
			</xsl:if>

			<xsl:if test="Property/@user_screen_snapshot">
				<xsl:variable name="userSnapShot" select="Property/@user_screen_snapshot"/>
				<xsl:variable name="imageWidth">
					<xsl:choose>
						<xsl:when test="Property/@image_width = ''">160</xsl:when>
						<xsl:otherwise><xsl:value-of select="Property/@image_width"/></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
			
				<xsl:variable name="imageHeight" >
					<xsl:choose>
						<xsl:when test="Property/@image_height = ''">120</xsl:when>
						<xsl:otherwise><xsl:value-of select="Property/@image_height"/></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="maximus">
					<xsl:choose>
						<xsl:when test="$imageWidth > $imageHeight"><xsl:value-of select="$imageWidth"/></xsl:when>
						<xsl:otherwise><xsl:value-of select="$imageHeight"/></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="scaledWidth">
					<xsl:choose>
						<xsl:when test ="$maximus > 160"><xsl:value-of select="floor($imageWidth * (160 div $maximus))"/></xsl:when>
						<xsl:otherwise><xsl:value-of select="$imageWidth"/></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="scaledHeight">
					<xsl:choose>
						<xsl:when test ="$maximus > 160"><xsl:value-of select="floor($imageHeight * (160 div $maximus))"/></xsl:when>
						<xsl:otherwise><xsl:value-of select="$imageHeight"/></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>

				<LI><em>user_screen_snapshot = </em><A HREF="{$userSnapShot}"> <img src="{$userSnapShot}" height="{$scaledHeight}" width="{$scaledWidth}" align="middle"/><xsl:value-of select="$rft.testlog.rpane.resulttable.snapshot.click"/></A></LI>
			</xsl:if>
		 </UL>
		</TD>
	</TR>
	<xsl:if test="Event/Event">	
		<xsl:apply-templates select="Event/Event" mode="tableCreation"></xsl:apply-templates>	
	</xsl:if>	
						
		</xsl:otherwise>
	</xsl:choose>


	

	</xsl:template>
	
	
	
	<xsl:template match="Event" mode="dpStore">		
	<xsl:if test="@Type = 'Script Start'">
	<xsl:for-each select="../Event">
		<xsl:variable name="eventPosition" select="position()"/>		
		
		<xsl:if test="@Type = 'Script Start'">
		<xsl:variable name="eventId" >
			<xsl:text>dp_</xsl:text>
			<xsl:value-of select="Property/@script_name"/>
			<xsl:text>_</xsl:text>
			<xsl:value-of select="generate-id()"/>
		</xsl:variable>			
		dpLogStore.newItem({dpId: '<xsl:value-of select="$eventId"/>', dpUpdates: [	
		</xsl:if>					
		
		<xsl:for-each select = "dpStore/dpVariable/@*">
			<xsl:if test="($eventPosition &gt; 1) or (position() &gt; 1)">,</xsl:if>{CPosition : '<xsl:value-of select="$eventPosition"/>', dpVariable: '<xsl:value-of select="name()" />' , dpValue: '<xsl:value-of select="."/>' }
		</xsl:for-each>

		<xsl:if test="@Type = 'Script End'">]});</xsl:if>		
	</xsl:for-each>	
	</xsl:if>

	<xsl:choose>
	<xsl:when test="@Type ='Simplified Script Group'">
		<xsl:if test="Event">	
			<xsl:apply-templates select="Event" mode="dpStore" />		
		</xsl:if>
	</xsl:when>
	<xsl:otherwise>
	<xsl:if test="Event/Event">	
		<xsl:apply-templates select="Event/Event" mode="dpStore" />
	</xsl:if>	
	</xsl:otherwise>
	</xsl:choose>
	</xsl:template>



	<xsl:template match="@name">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.prop.name"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>
	
	<xsl:template match="@line_number">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.script.line"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>

	<xsl:template match="@script_name">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.script.name"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>

	<xsl:template match="@script_id">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.script.id"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>
	
	<xsl:template match="@vp_type">	
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.vp.type"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>
	
	<xsl:template match="@actual">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.vp.actual"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>
	
	<xsl:template match="@expected">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.vp.expected"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>
	
	<xsl:template match="@baseline">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.vp.baseline"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>
	
	<xsl:template match="@exception_name">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.exception.name"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>
	
	<xsl:template match="@exception_message">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.exception.message"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>
	
	<xsl:template match="@exception_stack">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.exception.stack"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>
	
	<xsl:template match="@screen_snapshot">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.snapshot"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>

	<xsl:template match="@user_screen_snapshot">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.user.snapshot"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>

	<xsl:template match="@additional_info">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.additionalinfo"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>

	<xsl:template match="@failure_description">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.failure.desc"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>
	
	<xsl:template match="@script_iter_count">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.script.itercount"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>	

	<xsl:template match="@simplifiedscript_line_number">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.script.ss_line_number"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>

	<xsl:template match="@simplifiedscript_line">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.script.ss_line"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>
	
	<xsl:template match="@simplifiedscript_group_name">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.script.ss_group_name"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>

	<xsl:template match="@startapp_executable">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.script.sa_executable"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>
	
	<xsl:template match="@startapp_arguments">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.script.sa_args"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>

	<xsl:template match="@startapp_working_direcotry">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.script.sa_work_dir"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>

	<xsl:template match="@startapp_type">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.script.sa_app_type"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>

	
	<xsl:template match="@property_name">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.script.property_name"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>

	<xsl:template match="@property_value">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.script.property_value"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>

	<xsl:template match="@assigned_variable_name">
	<em><xsl:value-of select="$rft.testlog.rpane.resulttable.script.assigned_variable_name"/> = </em><xsl:value-of select="."></xsl:value-of>
	</xsl:template>

	<xsl:template match="@image_width">
	</xsl:template>

	<xsl:template match="@image_height">	
	</xsl:template>
	
	
</xsl:stylesheet>

