# IBM Confidential
#
#   (c) Copyright IBM Corp. 2000, 2016 All Rights Reserved.
#   (c) Copyright HCL Technologies Ltd. 2017, 2018. All Rights Reserved.
#
#   The source code for this program is not published or otherwise
#   divested of its trade secrets, irrespective of what has been
#   deposited with the U.S. Copyright Office.
#
#   To create the symlinks on 64 bit linux
#

# Folder list that might contain the searched library
folders=("/lib/x86_64-linux-gnu" "/usr/lib/x86_64-linux-gnu" "/lib/i386-linux-gnu" "/usr/lib/i386-linux-gnu" "/lib64" "/usr/lib64" "/lib" "/usr/lib")

# Create an array of existing folders to be searched
existingFolders=()
for folder in "${folders[@]}"
do
	if [ -d "$folder" ]
	then
		existingFolders+=($folder)
	fi
done

# Check if system is 64bits
export is64bit=`uname -m`
if [[ $is64bit =~ "_64" ]]
then
	#For each existing folder, check if the library is in there.
	for searchedFolder in "${existingFolders[@]}"
	do
		for i in `find $searchedFolder -name libXp.so*`
		do
			export status=`file $i`
			if [[ $status =~ "ELF 64-bit" ]]
			then
				/bin/ln -f -s $IBM_RATIONAL_RFT_INSTALL_DIR/libftevent.so /lib/libftevent.so
				/bin/ln -f -s $i /lib64/libftevent.so
				break 1
			fi
		done
		exit 0
	done
else
	exit 0
fi
